%define module_name Asm-Preproc
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor.pm) perl(Data/Dump.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(Iterator/Simple/Lookahead.pm) perl(Test/More.pm) perl(Text/Template.pm) perl(base.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.03
Release: alt1
Summary: Preprocessor to be called from an assembler
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PS/PSCUST/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module implements a preprocessor that reads source files 
and handles recursive file includes.
It is intended to be called from inside an assembler or compiler.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/A*

%changelog
* Tue Mar 05 2019 Igor Vlasenko <viy@altlinux.ru> 1.03-alt1
- updated by package builder

* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- regenerated from template by package builder

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- initial import by package builder

